*Inheritance: LightShadow →*

# DirectionalLightShadow

Represents the shadow configuration of directional lights.

## Constructor

### new DirectionalLightShadow()

Constructs a new directional light shadow.

## Properties

### .isDirectionalLightShadow : boolean (readonly)

This flag can be used for type testing.

Default is `true`.

## Source

[src/lights/DirectionalLightShadow.js](https://github.com/mrdoob/three.js/blob/master/src/lights/DirectionalLightShadow.js)